deepin的15.11中安装nvidia最新435版本驱动

换了一个电脑,跟随潮流,CPU是不带集显的,操作系统从原来的硬盘一通搬过来的

其中Deepin Linux更新到15.11。

显卡是2060的,在Deepin中目前只集成了390的nvidia驱动,无法支持

而nouveu驱动也是个残废,只支持到10xx系统,结果系统驱动在不知道什么模式下,反正屏幕卡得一逼,没法用

找了两天网上资料,反正是没几个讲明白了。有装nvidia官方驱动,有修复就OK了。反正在我的电脑上不行。

不得以,自己搜索了一下deb的安装包,还好debian提供了experments的驱动,下载下来手动安装呗

步骤0:主要从下面地址下载nvidia 435的驱动(安装过程中,有些其他依赖,需要分别去找)

http://mirrors.ustc.edu.cn/debian/pool/non-free/n/nvidia-graphics-drivers/

通常搜索依赖库,可以在这儿:

https://packages.debian.org/search?suite=default&section=all&arch=any&searchon=names&keywords=libxnvctrl0

最后的keywords,就是相关包名,搜索到,点点点,点到下载地址,

下载好相关包后,依次执行如下手工安装包的命令:

1. install glx-alternatives
sudo dpkg -i glx-alternative-nvidia_1.0.0_amd64.deb glx-diversions_1.0.0_amd64.deb update-glx_1.0.0_amd64.deb glx-alternative-mesa_1.0.0_amd64.deb

2. install nvidia-kernel-dkms
sudo dpkg -i nvidia-kernel-dkms_435.21-1_amd64.deb nvidia-kernel-support_435.21-1_amd64.deb nvidia-alternative_435.21-1_amd64.deb

3. install lib package
sudo dpkg -i libnvidia-eglcore_435.21-1_i386.deb libnvidia-eglcore_435.21-1_amd64.deb 
sudo dpkg -i nvidia-egl-icd_435.21-1_amd64.deb nvidia-egl-icd_435.21-1_i386.deb libegl-nvidia0_435.21-1_amd64.deb libegl-nvidia0_435.21-1_i386.deb

4. install nvidia-driver
sudo dpkg -i nvidia-driver_435.21-1_amd64.deb nvidia-vdpau-driver_435.21-1_amd64.deb xserver-xorg-video-nvidia_435.21-1_amd64.deb nvidia-driver-libs_435.21-1_amd64.deb nvidia-driver-bin_435.21-1_amd64.deb libnvidia-glcore_435.21-1_amd64.deb libgl1-nvidia-glvnd-glx_435.21-1_amd64.deb nvidia-egl-icd_435.21-1_amd64.deb libnvidia-glcore_435.21-1_amd64.deb libnvidia-glcore_435.21-1_i386.deb libgl1-nvidia-glvnd-glx_435.21-1_i386.deb libglx-nvidia0_435.21-1_amd64.deb nvidia-egl-icd_435.21-1_i386.deb libglx-nvidia0_435.21-1_i386.deb libegl-nvidia0_435.21-1_i386.deb

5. install utils
sudo dpkg -i nvidia-vulkan-icd_435.21-1_amd64.deb nvidia-vulkan-icd_435.21-1_i386.deb nvidia-settings_418.74-1_amd64.deb nvidia-modprobe_418.56-1_bpo9+1_amd64.deb nvidia-detect_435.21-1_amd64.deb libnvidia-ml1_435.21-1_amd64.deb  libnvidia-egl-wayland1_1.1.3-1_amd64.deb libnvidia-cfg1_435.21-1_amd64.deb libgles-nvidia2_435.21-1_amd64.deb libgles-nvidia2_435.21-1_i386.deb libxnvctrl0_418.74-1_i386.deb libxnvctrl0_418.74-1_amd64.deb libnvidia-glvkspirv_435.21-1_amd64.deb libnvidia-glvkspirv_435.21-1_i386.deb

6. remove 
sudo apt remove nvidia-persistenced

安装过程中,如果缺包,则搜索/下载相应包

然后重启机器,显卡就已经驱动正常了。

完成后,可以执行如下命令

apt list --installed | grep nvidia

查看当前系统中nvidia相关的包名是否都是新版本了,防止异常问题,最好所有相关包都更新到4xx最新版本来

 

posted @ 2019-09-25 22:38  飞鹰007  阅读(3344)  评论(1编辑  收藏